Loading...
Searching...
No Matches
mongocxx::v1::uri::host Struct Reference

`#include <mongocxx/v1/uri.hpp>`

## Description

A host identifier.

## Public Attributes

std::int32_t | family
| The address family.
std::string | name
| The host name.
std::uint16_t | port
| The port number.

## Member Data Documentation

## family

std::int32_t mongocxx::v1::uri::host::family

The address family.

## name

std::string mongocxx::v1::uri::host::name

The host name.

## port

std::uint16_t mongocxx::v1::uri::host::port

The port number.

The documentation for this struct was generated from the following file:

- mongocxx/v1/uri.hpp